<script>
// If you are using PurgeCSS, make sure to whitelist the carousel CSS classes
import { defineComponent } from "vue";
import { Carousel, Slide } from "vue3-carousel";
import ItemCarousel from "./ItemCategoryCarousel.vue";

export default defineComponent({
    name: "CategoryCarousel",
    components: {
        ItemCarousel,
        Carousel,
        Slide,
    },
    inject: [],
    data() {
        return {
            settings: {
                itemsToShow: 1.8,
                snapAlign: "start",
            },
            breakpoints: {
                // 700px and up
                700: {
                    itemsToShow: 3.5,
                    snapAlign: "center",
                },
                // 1024 and up
                1024: {
                    itemsToShow: 4,
                    snapAlign: "start",
                },
            },
            categories: [
                { id: 1, url: "tienda/hombre", img: "/build/images/web/pochos-mobile.png" },
                { id: 2, url: "tienda/mujer", img: "/build/images/web/evas-mobile.png" },
                { id: 3, url: "tienda/accesorios", img: "/build/images/web/accesorios-mobile.png" },
                { id: 4, url: "tienda", img: "/build/images/web/calzado-mobile.png" },
            ],
        };
    },
});
</script>

<template>
    <carousel :settings="settings" :breakpoints="breakpoints" :wrap-around="true">
        <slide v-for="category in categories" :key="category.id">
            <item-carousel :category="category" />
        </slide>

        <template #addons> </template>
    </carousel>
</template>

<style lang="scss">
/* stylelint-disable-next-line */
.carousel__item {
    font-weight: bold;
    background: red;
    min-height: 150px;
    min-width: 150px;
}

/* stylelint-disable-next-line */
.carousel__icon {
    color: #b3904d;
    margin: 0;
}
</style>
